package com.sckw.core.web.response.result;

/**
 * @description: 状态枚举
 * @author: lfdc
 * @create: 2022-01-27 09:43
 **/
public enum Status {
    SUCCESS(200, "操作成功"),
    BAD_REQUEST(400, "操作验证失败"),
    UNAUTHORIZED(401, "操作未授权"),
    FORBIDDEN(403, "操作被拒绝"),
    NOT_FOUND(404, "未知操作"),
    CONFLICT(409, "请求发生冲突"),
    FAILURE(500, "操作失败");

    private int code;
    private String msg;

    private Status(int code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public int getCode() {
        return this.code;
    }

    public String getMsg() {
        return this.msg;
    }
}
